<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.
*/
# ***************************************
# POSH Users management mobile - XML List of all the users
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder="../includes/plugins/mobile/admin/";
$not_access=1;
$granted="A";
$pagename="../includes/plugins/mobile/admin/xml_all_users.php";

//includes
require('includes.php');
require_once('../../../../includes/xml.inc.php');

//control that the current administrator has access to the script
$grantedCalls = array("userstab");
require('../../../../admin/adm_ctrl_access.php');

$file=new xmlFile();

$file->header("users");

$p=$_GET["p"];

echo "<page>".$p."</page>";

if($_SESSION['user_id']=="1") {
    $DB->getResults($users_mob_getAllXmlExceptN,$DB->escape(($p-1)*21));
    while ($row = $DB->fetch(0)) { 
        echo "<user>";
        echo "<id>".$row["id"]."</id>";
        echo "<username><![CDATA[".$row["username"]."]]></username>";
        echo "<name><![CDATA[".$row["long_name"]."]]></name>";
        echo "<typ><![CDATA[".$row["typ"]."]]></typ>";
        echo "<available>".$row["access"]."</available>";
        echo "</user>";
    }
    $DB->freeResults();
}
else {
    $groupList="";
    $DB->getResults($adm_getGroupId,$DB->escape($_SESSION['user_id']));
    while ($row = $DB->fetch(0)) {
        $groupList.="'".$row['group_id']."',";
    }
    $groupList=substr($groupList,0,strlen($groupList)-1);
    $DB->freeResults();
  
    if ($_SESSION['user_id']>1 && $groupList=="") {
        $file->footer();
        exit;
    }

    $DB->getResults($adm_mob_getUserIdByGroup,$groupList,$DB->escape(($p-1)*21));
    while ($row = $DB->fetch(0))
    {
            echo "<user>";
            echo "<id>".$row["id"]."</id>";
            echo "<username><![CDATA[".$row["username"]."]]></username>";
            echo "<name><![CDATA[".$row["long_name"]."]]></name>";
            echo "<typ><![CDATA[".$row["typ"]."]]></typ>";
            echo "<available>".$row["access"]."</available>";
            echo "</user>";
    }
    $DB->freeResults();
    
}

$file->footer("users");
?>